summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2006-03-25 16:42:04 +0000
committerJory Pratt <anarchy@gentoo.org>2006-03-25 16:42:04 +0000
commite0ffe6afbb6909390ef923bc77e30fd5e2a692a2 (patch)
tree25346201b2bbf2661d59055f215f5b4194bb8346 /eclass
parentMarked ~x86 (diff)
downloadgentoo-2-e0ffe6afbb6909390ef923bc77e30fd5e2a692a2.tar.gz
gentoo-2-e0ffe6afbb6909390ef923bc77e30fd5e2a692a2.tar.bz2
gentoo-2-e0ffe6afbb6909390ef923bc77e30fd5e2a692a2.zip
makemake2 support for improved engimail support
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mozcoreconf.eclass10
1 files changed, 9 insertions, 1 deletions
diff --git a/eclass/mozcoreconf.eclass b/eclass/mozcoreconf.eclass
index d06910465ed8..727025ada135 100644
--- a/eclass/mozcoreconf.eclass
+++ b/eclass/mozcoreconf.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf.eclass,v 1.6 2006/02/27 03:22:01 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf.eclass,v 1.7 2006/03/25 16:42:04 anarchy Exp $
#
# mozcoreconf.eclass : core options for mozilla
# inherit mozconfig-2 if you need USE flags
@@ -196,6 +196,14 @@ makemake() {
done
}
+makemake2() {
+ for m in $(find ../ -name Makefile.in); do
+ topdir=$(echo "$m" | sed -r 's:[^/]+:..:g')
+ sed -e "s:@srcdir@:.:g" -e "s:@top_srcdir@:${topdir}:g" \
+ < ${m} > ${m%.in} || die "sed ${m} failed"
+ done
+}
+
# mozconfig_annotate: add an annotated line to .mozconfig
#
# Example: